server {
  listen 80;
  server_name {{ nexus_domain_name }};
  return 301 https://$host$request_uri;
}

server {
  listen 443 ssl;
  server_name {{ nexus_domain_name }};
  
  ssl_certificate /etc/nginx/ssl/{{ nexus_domain_name }}.crt;
  ssl_certificate_key /etc/nginx/ssl/{{ nexus_domain_name }}.key;

  location / {
    proxy_pass http://127.0.0.1:8081;
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
  }
}